<?php
/**
 * Plugin Name:	Leave-iframe
 * Plugin URI:	http://websima.com
 * Description:	وارد کردن یک کد جاوا برای جلوگیری از نمایش سایت در iframe.
 * Version:	1
 * Author:	Amin Hamidi
 * Author URI:	http://dornasite.com
 * License:	GPL
 */

/**
 * Copyright 2014  A. Hamidi  (email: aminem25197@yahoo.com)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License,
 * version 2, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA  02110-1301  USA
 */

if(!function_exists('wp_leaveframe')) {
	
	function wp_leaveframe() {
		$var_sScript = '<!-- leaveframe by Websima.com -->' . "\n";
		$var_sScript .= '<script type="text/javascript">' . "\n" . 'if (self != top) {' . "\n\t" . 'top.location.replace(self.location.href);' . "\n" . '}' . "\n" . '</script>' . "\n";
		$var_sScript .= '<!-- /leaveframe -->' . "\n";
		$var_sScript = apply_filters('wp_leaveframe', $var_sScript);

		echo $var_sScript;

		return;
	}
}

add_action('wp_head', 'wp_leaveframe');
?>